#ifndef PWM_H
#define PWM_H

#include <stdbool.h>

class PWM
{
public:
    PWM(double cycleTime_Min,double cycleTime_Max);

    bool step(double setValue,double samplingTime);

private:
    double m_cycle = 0.0;
    double m_out = 0.0;
    double m_cycleTime = 0.0;
    double m_cycleTime_Min = 0.0;
    double m_cycleTime_Max = 0.0;
};
#endif // PWM_H
